// Initialize Canvas

canvas = document.getElementById("canvas");

ctx = canvas.getContext('2d');

var stage = new createjs.Stage("canvas");

createjs.Touch.enable(stage);
stage.enableMouseOver();

var swo, swc, I2_text, glow1,line4,In_text;
var was_closed = false;
var I2,In,It,Ininf,tick_counter,tick_counter2;
var In0=0;
var Ininf;
var lampon, lampoff;
var ekfortisi=false;

glow1=new createjs.Shape();

var queue = new createjs.LoadQueue();

$("#R2_number").val(24);
$("#V_number").val(40);
$("#L_number").val(50);

$("#R2_slider").val(24);
$("#V_slider").val(40);
$("#L_slider").val(50);

$("#switch").prop("checked", false);



//var text1 = "<b>V1=" + v1 + " V <br/> V2=" + v2 + " V <br/> V3=" + v3 + " V </b>";

//$("#oer_results p").html(text1);



queue.on("complete", handleComplete);
queue.loadManifest([
    { id: "ammeter", src: "images/polymeter.png" },
    { id: "lamp_on", src: "images/lamp-on.png" },
    { id: "lamp_off", src: "images/lamp-off-2.png" },
    { id: "battery", src: "images/battery.png" },
    { id: "font", src: "css/digital-7.ttf", type: "font" }

]);



function handleComplete(event) {



    var ammeter = new createjs.Bitmap(queue.getResult("ammeter"));
    var battery = new createjs.Bitmap(queue.getResult("battery"));
    lampon = new createjs.Bitmap(queue.getResult("lamp_on"));
    lampoff = new createjs.Bitmap(queue.getResult("lamp_off"));
    var ammeter2 = new createjs.Bitmap(queue.getResult("ammeter"));


    ammeter.scaleX = ammeter.scaleY = 0.45;
    ammeter.x = 390;
    ammeter.y = 113;
    stage.addChild(ammeter);

    ammeter2.scaleX = ammeter2.scaleY = 0.45;
    ammeter2.x = 513;
    ammeter2.y = 284;
    stage.addChild(ammeter2);

    I2_text = new createjs.Text();
    I2_text.x = 466;
    I2_text.y = 133;
    I2_text.textAlign = "right";
    I2_text.font = "23px digital7";
    I2_text.color = "black";
    stage.addChild(I2_text);

    In_text = new createjs.Text();
    In_text.x = 590;
    In_text.y = 303;
    In_text.textAlign = "right";
    In_text.font = "23px digital7";
    In_text.color = "black";
    stage.addChild(In_text);



    var R1shape = new createjs.Shape();
    R1shape.x = 380;
    R1shape.y = 429;
    R1shape.graphics.beginStroke("#667b16").setStrokeStyle(5).moveTo(0, 0).lineTo(6, -18).lineTo(18, 18).lineTo(30, -18).lineTo(42, 18).lineTo(56, -18).lineTo(68, 18).lineTo(80, -18).lineTo(92, 18).lineTo(98, 0);//.lineTo(116,18).lineTo(128,-18).lineTo(134,0);
    stage.addChild(R1shape);


    var turn1 = new createjs.Shape();
    turn1.x = 170;
    turn1.y = 150;
    turn1.graphics.beginStroke("#667b16").setStrokeStyle(5).moveTo(-10, -15).lineTo(0, -15).arc(0, 0, 15, -Math.PI / 2, Math.PI / 2, false).arc(0, 30, 15, -Math.PI / 2, Math.PI / 2, false).arc(0, 60, 15, -Math.PI / 2, Math.PI / 2, false).arc(0, 90, 15, -Math.PI / 2, Math.PI / 2, false).arc(0, 120, 15, -Math.PI / 2, Math.PI / 2, false).moveTo(0, 135).lineTo(-10, 135);
    stage.addChild(turn1);
    turn1.rotation = -90;

    var core1 = new createjs.Shape();
    core1.x = 165;
    core1.y = 390;
    core1.graphics.setStrokeStyle(4).beginStroke("#667b16").setStrokeDash([25, 10]).moveTo(0, 0).lineTo(136, 0);
    stage.addChild(core1);

    var core2 = new createjs.Shape();
    core2.x = 165;
    core2.y = 380;
    core2.graphics.setStrokeStyle(4).beginStroke("#667b16").setStrokeDash([25, 10]).moveTo(0, 0).lineTo(136, 0);
    stage.addChild(core2);

    turn1.y = 420;

    battery.x = 230;
    battery.y = 503;
    //stage.addChild(battery);

    var bat = new createjs.Shape();
    bat.x = 253;
    bat.y = 576;
    bat.graphics.beginStroke("#667b16").setStrokeStyle(7).moveTo(0, 0).lineTo(0, -17).moveTo(0, 0).lineTo(0, 17).setStrokeStyle(6).moveTo(12, 0).lineTo(12, -35).moveTo(12, 0).lineTo(12, 35);
    stage.addChild(bat);

    lampon.x = 130;
    lampon.y = 106;
    lampon.scale = 0.35;
    
    lampon.visible = false;

    lampoff.x = 130;
    lampoff.y = 106;
    lampoff.scale = 0.35;
    


    var akro1 = new createjs.Shape();
    akro1.x = 348;
    akro1.y = 578;
    akro1.graphics.beginFill("black").drawCircle(0, 0, 6);
    stage.addChild(akro1);

    swo = new createjs.Shape();
    swo.x = 353;
    swo.y = 575;
    swo.graphics.beginStroke("#667b16").setStrokeStyle(5).moveTo(0, 0).lineTo(51, -24);


    swc = new createjs.Shape();
    swc.x = 353;
    swc.y = 578;
    swc.graphics.beginStroke("#667b16").setStrokeStyle(5).moveTo(0, 0).lineTo(51, 0);

    swc.visible = false;

    var akro2 = new createjs.Shape();
    akro2.x = 409;
    akro2.y = 578;
    akro2.graphics.beginFill("black").drawCircle(0, 0, 6);
    stage.addChild(akro2);


    var hit = new createjs.Shape();
    hit.graphics.beginFill("#000").drawRect(-4, 20, 66, -60);
    swo.hitArea = hit;


    swo.cursor = "pointer";
    swc.cursor = "pointer";
    swc.hitArea = hit;

    swo.on("click", handlesw);
    swc.on("click", handlesw);

    stage.addChild(swo);
    stage.addChild(swc);
    swc.visible = false;

    //createjs.Ticker.addEventListener("tick", stage);

    var line2 = new createjs.Shape();
    line2.x =30;
    line2.y = 578;
    line2.graphics.setStrokeStyle(6).beginStroke("black").moveTo(0, 0).lineTo(220, 0).moveTo(237,0).lineTo(312,0).moveTo(0, 0).lineTo(0, -149).lineTo(128, -149);
    stage.addChild(line2);

    

    var line5 = new createjs.Shape();
    line5.x = 415;
    line5.y = 578;
    line5.graphics.setStrokeStyle(6).beginStroke("black").moveTo(0, 0).lineTo(201, 0).lineTo(201, -149).lineTo(158, -149).moveTo(131,-149).lineTo(63,-149).moveTo(-34,-149).lineTo(-112,-149).moveTo(201,-149).lineTo(201,-319).lineTo(35,-319);
    stage.addChild(line5);

    vtext = new createjs.Text("V", "23px Arial", "black");
    vtext.x = 273;
    vtext.y = 587;

    stage.addChild(vtext);

    Ltext = new createjs.Text("L", "23px Arial", "black");
    Ltext.x = 215;
    Ltext.y = 446;

    stage.addChild(Ltext);

    r2text = new createjs.Text("R", "23px Arial", "black");
    r2text.x = 418;
    r2text.y = 470;

    stage.addChild(r2text);

    r21text = new createjs.Text("2", "13px Arial", "black");
    r21text.x = 435;
    r21text.y = 482;

    stage.addChild(r21text);

    

    //0.25A-->r=48,    6A-->148  r=aI+b   48=a*0.25+b   148=a*6+b  148=6a+48-0.25a   5.75a=100 -->a=17.391 b=43.654
    //r=17.391*I+43.654;

   
    stage.addChild(lampoff);
    stage.addChild(lampon);

    line4=new createjs.Shape();
    line4.graphics.beginStroke("black").setStrokeStyle(6).moveTo(30,427).lineTo(30,235).lineTo(150,235).moveTo(168,259).lineTo(420,259);

    stage.addChild(line4);

    var arrow=new createjs.Shape();
    arrow.x=140;
    arrow.y=460;
    arrow.graphics.setStrokeStyle(6).beginStroke("black").moveTo(0,0).lineTo(-80,0);
    arrow.graphics.setStrokeStyle(4).beginStroke("black").moveTo(-80,0).lineTo(-65,-15).moveTo(-80,0).lineTo(-65,15);
    stage.addChild(arrow);

    var arrowtext=new createjs.Text("I","25px Arial","black");
    arrowtext.x=110;
    arrowtext.y=470;

    stage.addChild(arrowtext);

    var arrowtext2=new createjs.Text("2","15px Arial","black");
    arrowtext2.x=117;
    arrowtext2.y=483;

    stage.addChild(arrowtext2);

    var Aletter=new createjs.Text("A","23px Arial","black");
    Aletter.x=8;
    Aletter.y=570;

    stage.addChild(Aletter);

    var Dletter=new createjs.Text("Δ","23px Arial","black");
    Dletter.x=8;
    Dletter.y=418;

    stage.addChild(Dletter);

    
    var Bletter=new createjs.Text("B","23px Arial","black");
    Bletter.x=625;
    Bletter.y=570;

    stage.addChild(Bletter);

    var Cletter=new createjs.Text("Γ","23px Arial","black");
    Cletter.x=625;
    Cletter.y=418;

    stage.addChild(Cletter);

    var Eletter=new createjs.Text("E","23px Arial","black");
    Eletter.x=625;
    Eletter.y=244;

    stage.addChild(Eletter);

    var Zletter=new createjs.Text("Z","23px Arial","black");
    Zletter.x=8;
    Zletter.y=223;

    stage.addChild(Zletter);





    stage.update();


}

//createjs.Ticker.reset();
stage.update();
